##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2017                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


#
# Simple check for shipped plugins

AC_DEFUN([AC_CUBE_WEB_ENGINE],
[
AC_MSG_NOTICE([Check if Qt's Web Engine is installed ])
AC_SCOREP_RESET_HEADERS_CACHE(stdlib.h)
ax_probe_header_save_CPPFLAGS=${CPPFLAGS}
## plugin example
CPPFLAGS="${QT_DEFINES} ${QT_INCPATH}"
AC_CHECK_HEADER(stdlib.h, [
webenginefound=no 
],[webenginefound=yes
AC_DEFINE_UNQUOTED(WEB_ENGINE_AVAILABLE, "yes", [Defined if Qt Web Engine is installed])
], [
#ifdef QT_WEBENGINE_LIB 
syntax error
#endif
])
CPPFLAGS=${ax_probe_header_save_CPPFLAGS}
AM_CONDITIONAL([WITH_WEB_ENGINE], [test x$webenginefound == "xyes"])

])


