/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2019                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef ADVISER_RATING_WIDGET_H
#define ADVISER_RATING_WIDGET_H
#include <QtGui>
#include <QLabel>
#include <QWidget>
#include <QGroupBox>
#include <QProgressBar>
#include <QTableWidget>
#include <QTableWidgetItem>
#include <QGridLayout>
#include "TreeItem.h"
#include "CubeTestWidget.h"
#include "CubeAdvice.h"

namespace advisor
{
class PerformanceAnalysis;
class PerformanceTest;

class CubeRatingWidget : public QWidget
{
    Q_OBJECT

private:
    QString title;
    QLabel*                 title_label;
    QGridLayout*            main_grid;
    QList<CubeTestWidget* > list_of_tests;
    PerformanceAnalysis*    analysis;
    QGroupBox*              callpath_frame;
    QTableWidget*           table;
    bool                    analysis_possible;


    void
    addPerformanceTest( PerformanceTest* t );

private slots:

    void
    tableItemClicked( QTableWidgetItem* _item );

public:
    CubeRatingWidget( QString  title,
                      PerformanceAnalysis*,
                      QWidget* parent = NULL );



    ~CubeRatingWidget();

    void
    apply( const cube::list_of_cnodes& );

    void
    copyMetricsValues( const cube::list_of_cnodes& );

    QList<AdvisorAdvice>
    runAnalysis( const QList<cubegui::TreeItem*>& cnodes );

    void
    invalidateAnalysis();
};
};

#endif // ADVISER_RATING_WIDGET_H
