
:: 
:: This file is part of the CUBE software (http:\\www.scalasca.org\cube%
::
:: Copyright (c) 2009-2019, 
::    Forschungszentrum Juelich GmbH, Germany
::    German Research School for Simulation Sciences GmbH, Juelich\Aachen, Germany
::
:: Copyright (c) 2009-2014, 
::    RWTH Aachen University, Germany
::    Gesellschaft fuer numerische Simulation mbH Braunschweig, Germany
::    Technische Universitaet Dresden, Germany
::    University of Oregon, Eugene, USA
::    Forschungszentrum Juelich GmbH, Germany
::    German Research School for Simulation Sciences GmbH, Juelich\Aachen, Germany
::    Technische Universitaet Muenchen, Germany
::
:: See the COPYING file in the package base directory for details.
::
:: maintainer Pavel Saviankou <p.saviankou@fz-juelich.de>


set MINGW="C:\MinGW"
set NSIS="C:\Program Files (x86)\NSIS"
set srcdir=..\..\
set PWD=%~dp0
set PREFIX=%1
set TARGET=C:\Scalasca-Soft\Install\Cube2.0\%PREFIX%\install


mkdir  %TARGET%\bin
mkdir  %TARGET%\lib
mkdir  %TARGET%\include\cube
mkdir  %TARGET%\include\cubew
mkdir  %TARGET%\include\cubegui
mkdir  %TARGET%\share\icons
mkdir  %TARGET%\share\doc\cube\examples

for %%f in ( 
GUI-qt-core 
GUI-qt
GUI-plugin-advanced-colormap
GUI-plugin-barplot
GUI-plugin-diff
GUI-plugin-graphwidgetcommon
GUI-plugin-heatmap
GUI-plugin-launch      
GUI-plugin-mean        
GUI-plugin-merge       
GUI-plugin-metriceditor
GUI-plugin-metricident 
GUI-plugin-scaling
GUI-plugin-scorepconfig
GUI-plugin-sourcecodeviewer
GUI-plugin-statistics
GUI-plugin-sunburst
GUI-plugin-systemboxplot
GUI-plugin-systemtopology
GUI-plugin-tau2cube
GUI-plugin-treeitemmarker
) do (
echo "Build %%f"
cd  %%f
qmake 
mingw32-make clean
mingw32-make
cd %PWD%
echo "Copy %%f..."
copy %%f\release\*.exe %TARGET%\bin
copy %%f\release\*.dll %TARGET%\bin
copy %%f\release\*.a   %TARGET%\lib
)


::GOTO:EOF

echo "Copy system libraries..."
echo "Qt located  : %QTDIR%"
copy %MINGW%\bin\libgcc_s_*.dll %TARGET%\bin
copy %MINGW%\bin\libstdc*-6.dll %TARGET%\bin
copy %MINGW%\bin\libwinpthread*.dll %TARGET%\bin
copy C:\MinGW\msys\1.0\bin\msys-1.0.dll %TARGET%\bin
copy C:\MinGW\msys\1.0\bin\msys-z.dll %TARGET%\bin
copy C:\Scalasca-Soft\Misc\regex-2.7-bin\bin\regex2.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5Core.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5Gui.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5Network.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5PrintSupport.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5Help.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5WebKit.dll %TARGET%\bin
copy %QTDIR%\bin\Qt5Widgets.dll %TARGET%\bin
echo "Copy GUI header files..."
copy %srcdir%\src\GUI-qt\display\*.h  %TARGET%\include\cubegui\.





@echo Copy Cube documentation..."
copy  %srcdir%\doc\*.pdf %TARGET%\share\doc\cube
@echo "Copy Cube images..."
copy  %srcdir%\share\icons\* %TARGET%\share\icons\.
@echo "Copy Cube license..."
copy  %srcdir%\COPYING %TARGET%\license.txt

copy  %srcdir%\vendor\windows\cubeinstaller.nsi %TARGET%\..


echo "NOW COMPILE NSIS script..." 


